# MtRandomSource Class Reference
[Mathematical utilities]

based on pseudorandom generator mt_rand More...

Inheritance diagram for MtRandomSource:
[legend]

List of all members.

## Public Member Functions

| getBytes ($numberOfBytes)

## Static Public Member Functions

static | me ()

## Detailed Description

based on pseudorandom generator mt_rand

Definition at line 17 of file MtRandomSource.class.php.

## Member Function Documentation

MtRandomSource::getBytes | ( | $ | numberOfBytes | ) |

Implements RandomSource.

Definition at line 27 of file MtRandomSource.class.php.

References Assert::isPositiveInteger().

Here is the call graph for this function:

static MtRandomSource::me | ( |  | ) | `[static]`

Returns:
  MtRandomSource

Definition at line 22 of file MtRandomSource.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Math/MtRandomSource.class.php